# std::ostreambuf_iterator<CharT,Traits>::operator++

From cppreference.com
< cpp‎ | iterator‎ | ostreambuf iterator

ostreambuf_iterator& operator++(); |  |
ostreambuf_iterator& operator++( int ); |  |

Does nothing. These operator overloads are provided to satisfy the requirements of LegacyOutputIterator. They make it possible for the expressions *iter++=value and *++iter=value to be used to output (insert) a value into the underlying stream.

### Parameters

(none)

### Return value

*this

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/ostreambuf_iterator/operator_arith&oldid=107617"